[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / SelectRowOptions

# Interface: SelectRowOptions\<RowData\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/select-row.options.ts:1](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/select-row.options.ts#L1)

## Type Parameters

• **RowData** = `unknown`

## Properties

### compareWith()?

> `optional` **compareWith**: (`o1`, `o2`) => `boolean`

Defined in: [packages/angular/material/table-system/src/lib/select-row/select-row.options.ts:5](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/select-row.options.ts#L5)

#### Parameters

##### o1

`RowData`

##### o2

`RowData`

#### Returns

`boolean`

***

### emitChanges?

> `optional` **emitChanges**: `boolean`

Defined in: [packages/angular/material/table-system/src/lib/select-row/select-row.options.ts:4](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/select-row.options.ts#L4)

***

### multiple?

> `optional` **multiple**: `boolean`

Defined in: [packages/angular/material/table-system/src/lib/select-row/select-row.options.ts:2](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/select-row.options.ts#L2)

***

### selected?

> `optional` **selected**: `RowData`[]

Defined in: [packages/angular/material/table-system/src/lib/select-row/select-row.options.ts:3](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/select-row.options.ts#L3)
